<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Whack A Mole!</title>
  <link href='https://fonts.googleapis.com/css?family=Amatic+SC:400,700' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="style.css">
</head>
<body>

  <h1>Whack-a-mole! <span class="score">0</span></h1>
  <button onClick="startGame()">Start!</button>

  <div class="game">
    <div class="hole hole1">
      <div class="mole"></div>
    </div>
    <div class="hole hole2">
      <div class="mole"></div>
    </div>
    <div class="hole hole3">
      <div class="mole"></div>
    </div>
    <div class="hole hole4">
      <div class="mole"></div>
    </div>
    <div class="hole hole5">
      <div class="mole"></div>
    </div>
    <div class="hole hole6">
      <div class="mole"></div>
    </div>
  </div>

<script>
  const holes = document.querySelectorAll('.hole');
  const scoreBoard = document.querySelector('.score');
  const moles = document.querySelectorAll('.mole');
  let lastHole;
  let timeUp = false;
  let score = 0;

  function randomTime(min, max) {
    return Math.round(Math.random() * ((max - min) + min));
  }

  function randomHole(holes) {
    const rHole = holes[Math.round(Math.random() * (holes.length - 1))];
    if (rHole === lastHole) {
      return randomHole(holes);
    } else {
      lastHole = rHole;
      return rHole;
    }
  }

  function peep() {
    const time = randomTime(200, 1000);
    const hole = randomHole(holes);
    hole.classList.add("up");
    setTimeout(() => {
      hole.classList.remove("up")
      if (!timeUp) peep();
    }, time);
  }

  function startGame() {
    score = 0;
    scoreBoard.textContent = `${score}`;
    timeUp = false;
    peep();
    setTimeout(() => timeUp = true, 10000);
  }

  function bonk(e) {
    if (!e.isTrusted) return;
    e.target.classList.remove("up");
    scoreBoard.textContent = `${++score}`;
  }

  moles.forEach(mole => mole.addEventListener("click", bonk));

</script>
</body>
</html>
